import { exec } from '#bin/lib/exec';
import { Spinner } from '@favware/colorette-spinner';
export async function buildDocs(options) {
    const spinner = new Spinner().start({ text: 'Building TypeDoc documentation' });
    try {
        await exec(`typedoc --json ${options.json}`);
    }
    catch (error) {
        const cause = error;
        if (options.verbose) {
            spinner.error({ text: 'Failed to build TypeDoc documentation' });
            console.log(cause.stack ?? cause.message);
        }
        else {
            spinner.error({ text: 'Failed to build TypeDoc documentation. Add the --verbose flag to view these errors.' });
        }
        process.exit(1);
    }
    spinner.success({ text: 'Successfully built TypeDoc documentation' });
}
//# sourceMappingURL=build-docs.js.map