import { ProjectParser } from '#lib/structures/ProjectParser';
export declare enum MigrationStatus {
    Success = 0,
    Failed = 1,
    Latest = 2
}
export type MigrationResult = MigrationSuccess | MigrationFailed | MigrationLatest;
export interface MigrationSuccess {
    status: MigrationStatus.Success;
    path: string;
    data: ProjectParser.Json;
}
export interface MigrationFailed {
    status: MigrationStatus.Failed;
    path: string;
    from: string;
    name: string;
    version: string;
}
export interface MigrationLatest {
    status: MigrationStatus.Latest;
    path: string;
    name: string;
    version: string;
}
export declare function migrateToLatest(projectJson: Record<string, unknown>, path: string): MigrationResult;
//# sourceMappingURL=migrateToLatest.d.ts.map