/**
 * The base parser for all top level exported parsers.
 * @since 1.0.0
 */
export class Parser {
    /**
     * The identifier of this parser.
     * @since 1.0.0
     */
    id;
    /**
     * The name of this parser.
     * @since 1.0.0
     */
    name;
    /**
     * The source parser for this parser.
     * @since 1.0.0
     */
    source;
    constructor(data) {
        const { id, name, source } = data;
        this.id = id;
        this.name = name;
        this.source = source;
    }
    /**
     * Converts this parser to a json compatible format.
     * @since 1.0.0
     * @returns The json compatible format of this parser.
     */
    toJSON() {
        return {
            id: this.id,
            name: this.name,
            source: this.source ? this.source.toJSON() : null
        };
    }
}
//# sourceMappingURL=Parser.js.map