export var ReflectionKind;
(function (ReflectionKind) {
    ReflectionKind[ReflectionKind["Project"] = 1] = "Project";
    ReflectionKind[ReflectionKind["Module"] = 2] = "Module";
    ReflectionKind[ReflectionKind["Namespace"] = 4] = "Namespace";
    ReflectionKind[ReflectionKind["Enum"] = 8] = "Enum";
    ReflectionKind[ReflectionKind["EnumMember"] = 16] = "EnumMember";
    ReflectionKind[ReflectionKind["Variable"] = 32] = "Variable";
    ReflectionKind[ReflectionKind["Function"] = 64] = "Function";
    ReflectionKind[ReflectionKind["Class"] = 128] = "Class";
    ReflectionKind[ReflectionKind["Interface"] = 256] = "Interface";
    ReflectionKind[ReflectionKind["Constructor"] = 512] = "Constructor";
    ReflectionKind[ReflectionKind["Property"] = 1024] = "Property";
    ReflectionKind[ReflectionKind["Method"] = 2048] = "Method";
    ReflectionKind[ReflectionKind["CallSignature"] = 4096] = "CallSignature";
    ReflectionKind[ReflectionKind["IndexSignature"] = 8192] = "IndexSignature";
    ReflectionKind[ReflectionKind["ConstructorSignature"] = 16384] = "ConstructorSignature";
    ReflectionKind[ReflectionKind["Parameter"] = 32768] = "Parameter";
    ReflectionKind[ReflectionKind["TypeLiteral"] = 65536] = "TypeLiteral";
    ReflectionKind[ReflectionKind["TypeParameter"] = 131072] = "TypeParameter";
    ReflectionKind[ReflectionKind["Accessor"] = 262144] = "Accessor";
    ReflectionKind[ReflectionKind["GetSignature"] = 524288] = "GetSignature";
    ReflectionKind[ReflectionKind["SetSignature"] = 1048576] = "SetSignature";
    ReflectionKind[ReflectionKind["TypeAlias"] = 2097152] = "TypeAlias";
    ReflectionKind[ReflectionKind["Reference"] = 4194304] = "Reference";
    ReflectionKind[ReflectionKind["Document"] = 8388608] = "Document";
})(ReflectionKind || (ReflectionKind = {}));
export function reflectionKindToString(kind) {
    switch (kind) {
        case ReflectionKind.Project:
            return 'Project';
        case ReflectionKind.Module:
            return 'Module';
        case ReflectionKind.Namespace:
            return 'Namespace';
        case ReflectionKind.Enum:
            return 'Enum';
        case ReflectionKind.EnumMember:
            return 'EnumMember';
        case ReflectionKind.Variable:
            return 'Variable';
        case ReflectionKind.Function:
            return 'Function';
        case ReflectionKind.Class:
            return 'Class';
        case ReflectionKind.Interface:
            return 'Interface';
        case ReflectionKind.Constructor:
            return 'Constructor';
        case ReflectionKind.Property:
            return 'Property';
        case ReflectionKind.Method:
            return 'Method';
        case ReflectionKind.CallSignature:
            return 'CallSignature';
        case ReflectionKind.IndexSignature:
            return 'IndexSignature';
        case ReflectionKind.ConstructorSignature:
            return 'ConstructorSignature';
        case ReflectionKind.Parameter:
            return 'Parameter';
        case ReflectionKind.TypeLiteral:
            return 'TypeLiteral';
        case ReflectionKind.TypeParameter:
            return 'TypeParameter';
        case ReflectionKind.Accessor:
            return 'Accessor';
        case ReflectionKind.GetSignature:
            return 'GetSignature';
        case ReflectionKind.SetSignature:
            return 'SetSignature';
        case ReflectionKind.TypeAlias:
            return 'TypeAlias';
        case ReflectionKind.Reference:
            return 'Reference';
        case ReflectionKind.Document:
            return 'Document';
    }
}
//# sourceMappingURL=ReflectionKind.js.map